Skip to main content
GET
List Customer Meters

Authorizations

Authorization
string
header
required

Authentication: You can generate a Personal Access Token from your settings.

Query Parameters

organization_id

Return only records matching organization ID. Identifier of the organization.

Example:

"1dbfc517-0bbf-4301-9ba8-555ca42b9737"

customer_id

Return only records matching customer ID. Identifier of the customer.

external_customer_id

Return only records matching external customer ID.

meter_id

Return only records matching meter ID. Identifier of the meter.

page
integer
default:1

Results page to return. The first page is used by default.

limit
integer
default:10

Records returned per page. Defaults to 10 and accepts up to 100.

sorting
enum<string>[] | null

Sort rules applied from left to right. Prefix any rule with - to reverse it into descending order.

Available options:
created_at,
-created_at,
modified_at,
-modified_at,
customer_id,
-customer_id,
customer_name,
-customer_name,
meter_id,
-meter_id,
meter_name,
-meter_name,
consumed_units,
-consumed_units,
credited_units,
-credited_units,
balance,
-balance

Response

Request completed successfully

items
CustomerMeter · object[]
required
pagination
Pagination · object
required